package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.CameraInfoEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-24 09:55:37
 */
public interface CameraInfoService extends IService<CameraInfoEntity> {

    PageUtils queryPage(Map<String, Object> params,Long userId);

    List getCameraDetails(Integer cameraId);

    List getByAreaId(Integer areaId,Long userId);

    List findAttention(Integer farmId,Long userId);
}

